Bug 175407 - [RHEL4] disabled accounts and sending mail behaves oddly
[RHEL4] disabled accounts and sending mail behaves oddly
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: evolution (Show other bugs)
4.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-09 16:11 EST by Suzanne Hillman
Modified: 2008-02-03 11:26 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-03 11:26:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2005-12-09 16:11:51 EST
Description of problem:
It appears to be the case that, if you have multiple accounts in Evo, and
disable one, it's still an option for sending mail. And, if it was your default
account, it's what you default to sending mail as. But the mail won't go
anywhere, because it's disabled.

It also appears to be the case that it will force the first account in the list
to be the default one, even if that one is disabled.

Version-Release number of selected component (if applicable):
evolution-2.0.2-25

How reproducible:
Always

Steps to Reproduce:
1. Set up multiple accounts. The first will be selected as your default, if you
don't pick one (which is annoying; it should ask!)
2. Disable the account which is currently selected as your default.
3. Try to send mail.
  
Actual results:
The disabled, default account will be the one you are going to try to send mail
as, unless you select another one. It won't work.

Expected results:
If you disable an account, it should not be possible to send mail as it.
Additionally, if you disable an account which is your default, it should ask you
which account should be your default (since it seems to require there to be
one). Similarly when you create a bunch of account, but haven't selected any as
the default, it should ask which one you want as default.

Additional info:
Comment 1 Suzanne Hillman 2005-12-09 16:15:30 EST
Ah, no. If you disable an account and use it to send mail, it _will_ still try
(I got bounce messages just now). I still contend that it shouldn't let you try
to send mail as a disabled account, however.
Comment 2 Dave Malcolm 2005-12-20 18:53:01 EST
I agree with your opinion in comment 1

There's been some recent debate about this upstream; some people were arguing
there that disabling should only apply to receiving IIRC.  The "Working with
Mail Accounts" section of the help has the text "Evolution allows you to
maintain multiple accounts, or identities. When you are writing an e-mail
message, you can which account to use by selecting from the drop-down list next
to the From field in the message composer. Click Send/Receive to select all mail
sources that are not disabled. If you don't want to check mail for a given
account, select the account in the Mail Accounts tab and click the Disable
button." this suggests that the current behaviour is as designed (although I
agree that it's unintuitive)

Reproduced on i386 (vmware) with evolution-2.0.2-22
Comment 4 Matthew Barnes 2008-02-03 11:26:57 EST
Evolution 2.0.2 is only being updated for security issues.  Closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.